cURL
curl --request POST \
--url https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/end \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/end"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/end', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "extapitoolboxmeeting01",
"builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"title": "Concrete Pour Planning",
"name": "Concrete Pour Planning",
"date": "2026-01-15T09:00:00.000Z",
"status": "RUNNING",
"agenda": "External API integration test agenda",
"meetingTitle": "External API seeded meeting",
"notes": "Seeded meeting for External API integration tests",
"updatedAt": "2026-01-15T09:00:00.000Z"
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Meetings
End meeting
End a meeting
POST
/
builders
/
{builderId}
/
meetings
/
{meetingId}
/
end
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Example:
"extapitoolboxmeeting01"
Response
The ended meeting
Example:
"extapitoolboxmeeting01"
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Example:
"proj_clgbsb90b001qjy0f0eo1hscp"
Example:
"Concrete Pour Planning"
Example:
"Concrete Pour Planning"
Example:
"2026-01-15T09:00:00.000Z"
Available options:
DRAFT, DISTRIBUTED, RUNNING, COMPLETED Example:
"RUNNING"
Example:
"External API integration test agenda"
Example:
"External API seeded meeting"
Example:
"Seeded meeting for External API integration tests"
Example:
"2026-01-15T09:00:00.000Z"